Package org.eclipse.rdf4j.query.algebra

## Class Var

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.query.algebra.Var

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `GraphPatternGroupable`, `QueryModelNode`, `ValueExpr`, `VariableScopeChange`

      public class Var
      extends AbstractQueryModelNode
      implements ValueExpr

  A variable that can contain a Value.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Var()` |
    `Var​(String name)` |
    `Var​(String name, Value value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Var` | `clone()` | Returns a (deep) clone of this query model node.
    `boolean` | `equals​(Object other)` | Returns true if this query model node and its children are recursively equal to o and its children.
    `String` | `getName()` |
    `String` | `getSignature()` | Default implementation of `QueryModelNode.getSignature()` that prints the name of the node's class.
    `Value` | `getValue()` |
    `int` | `hashCode()` |
    `boolean` | `hasValue()` |
    `boolean` | `isAnonymous()` |
    `boolean` | `isConstant()` |
    `void` | `setAnonymous​(boolean anonymous)` |
    `void` | `setConstant​(boolean constant)` |
    `void` | `setName​(String name)` |
    `void` | `setValue​(Value value)` |
    `<X extends Exception> void` | `visit​(QueryModelVisitor<X> visitor)` | Visits this node.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceChildNode, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString, visitChildren`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getTotalTimeNanosActual, replaceChildNode, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString, visitChildren`

- - ### Constructor Detail

    - #### Var

          public Var()

    - #### Var

          public Var​(String name)

    - #### Var

          public Var​(String name,
                     Value value)

  - ### Method Detail

    - #### setAnonymous

          public void setAnonymous​(boolean anonymous)

    - #### isAnonymous

          public boolean isAnonymous()

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### setValue

          public void setValue​(Value value)

    - #### hasValue

          public boolean hasValue()

    - #### getValue

          public Value getValue()

    - #### visit

          public <X extends Exception> void visit​(QueryModelVisitor<X> visitor)
                                           throws X extends Exception

      Description copied from interface: `QueryModelNode`
      Visits this node. The node reports itself to the visitor with the proper runtime type.
      Specified by:
        `visit` in interface `QueryModelNode`
      Throws:
        `X extends Exception`

    - #### getSignature

          public String getSignature()

      Description copied from class: `AbstractQueryModelNode`
      Default implementation of `QueryModelNode.getSignature()` that prints the name of the node's class.
      Specified by:
        `getSignature` in interface `QueryModelNode`
      Overrides:
        `getSignature` in class `AbstractQueryModelNode`
      Returns:
        The node's signature, e.g. SLICE (offset=10, limit=10).

    - #### equals

          public boolean equals​(Object other)

      Description copied from interface: `QueryModelNode`
      Returns true if this query model node and its children are recursively equal to o and its children.
      Specified by:
        `equals` in interface `QueryModelNode`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### clone

          public Var clone()

      Description copied from interface: `QueryModelNode`
      Returns a (deep) clone of this query model node. This method recursively clones the entire node tree, starting from this nodes.
      Specified by:
        `clone` in interface `QueryModelNode`
      Specified by:
        `clone` in interface `ValueExpr`
      Overrides:
        `clone` in class `AbstractQueryModelNode`
      Returns:
        A deep clone of this query model node.

    - #### isConstant

          public boolean isConstant()

      Returns:
        Returns the constant.

    - #### setConstant

          public void setConstant​(boolean constant)

      Parameters:
        `constant` - The constant to set.